#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   XYZ start, end;				/* End-points of line */
   COLOUR col = { 1.0, 1.0, 0.0 };		/* Line colour */

   s2opend("/S2FISH",argc, argv);		/* Open the display: fisheye */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */

   start.x = -1.0; end.x = +1.0;		/* Set the end-points */
   start.y =  0.0; end.y =  0.0;
   start.z =  0.0; end.z =  0.0;
 
   ns2vthline(start, end, col, 4);		/* Draw a line */

   ss2tc(0);					/* Don't allow translation */
   ss2sfra(-45.0);				/* Rotate the centre up */
   s2show(1);					/* Open the s2plot window */
   
   return 1;
}

